﻿
fluent-switch.switchPassy {
    --myColor: #BCD95C;
    --accent-fill-hover: var(--myColor);
    --accent-fill-active: var(--myColor);
    --accent-fill-rest: var(--myColor);
    --neutral-stroke-strong-rest: var(--myColor);
}

.Contatore-CountSpan {
    position: absolute;
    display: flex;
    justify-content: space-around;
    align-items: center;
    text-align: center;
    color: white;
    align-self: center;
    top: -2%;
    right: -14%;
    margin-top: auto;
    margin-bottom: auto;
    background-color: forestgreen;
    border-radius: 50px;
    height: 2.5rem;
    width: 2.5rem;
    font-size: 20px
}

.ConterPeopleObject {
    border: none;
}


.nav-tabs .nav-link {
    border: 1px solid #BCD95C;
    background-color: #FFF;
    color: #85b851;
    font-size: 1.1em;
    border-bottom: none;
}

    .nav-tabs .nav-link.active {
        color: #FFF;
        background-color: #85b851;
    }

.tab-pane {
    padding: 10px;
    margin-top: -1px;
    margin-left: 0;
    border: 1px solid #BCD95C;
}

.HierchyView {
    --bs-accordion-border-color: green;
    --bs-accordion-active-bg: none;
    --bs-accordion-btn-focus-box-shadow: none;
}


.image_switch_close::after {
    content: "";
    width: 32px;
    height: 11px;
    background-image: url('../Image/switch_close.svg');
    background-size: 32px 11px;
    display: inline-block;
}

.image_switch_open::after {
    content: "";
    width: 32px;
    height: 11px;
    background-image: url('../Image/switch_open.svg');
    background-size: 32px 11px;
    display: inline-block;
}

.image_switch_close_color::after {
    content: "";
    width: 32px;
    height: 11px;
    background-image: url('../Image/switch_close_color.svg');
    background-size: 32px 11px;
    display: inline-block;
}

.image_switch_open_color::after {
    content: "";
    width: 32px;
    height: 11px;
    background-image: url('../Image/switch_open_color.svg');
    background-size: 32px 11px;
    display: inline-block;
}

.image_switch_closeno::after {
    content: url('../Image/switch_close.svg');
}

.HomeEditObject {
    --bs-toast-box-shadow: none;
    --bs-toast-border-color: var(--colorPassy);
    --bs-toast-max-width: inherit;
}

.CreateViewSelect {
    --bs-toast-box-shadow: none;
    --bs-toast-border-color: var(--colorPassy);
    --bs-toast-max-width: inherit;
    --bs-toast-padding-x: 0;
    --bs-toast-padding-y: 0;
    --bs-toast-border-width: 1px;
}

.disabled.CreateViewCheckbox {
    cursor: not-allowed;
    fill: inherit;
    box-shadow: inherit;
    opacity: var(--disabled-opacity) !important;
    stroke: inherit;
}


.carousel-indicators [data-bs-target] {
    background-color: gray;
}

.carousel-indicators .active {
    background-color: var(--colorPassy);
}

.position-topend {
    position: fixed;
    right: 20px;
}


.PassyScrollBar::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    background-color: #F5F5F5;
}

.PassyScrollBar::-webkit-scrollbar {
    width: 6px;
    height: 6px;
    background-color: #F5F5F5;
}

.PassyScrollBar::-webkit-scrollbar-thumb {
    background-color: var(--colorPassy);
    border-radius: 6px;
}


.PassyScrollBar-x::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    background-color: #F5F5F5;
}

.PassyScrollBar-x::-webkit-scrollbar {
    height: 6px;
    background-color: #F5F5F5;
}

.PassyScrollBar-x::-webkit-scrollbar-thumb {
    background-color: var(--colorPassy);
    border-radius: 6px;
}

/*

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
    color: var(--bs-secondary-color);
    text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
    text-align: start;
}*/